package com.ruoyi.common.utils;

import java.util.Date;

public class ValidateUtils {

    /**
     * description: allowUpdate  排他判断
     *
     * @param currentUpdateTime: 表单更新时间
     * @param sqlUpdateTime:     数据库中更新时间
     * @return boolean
     * @author jubs 😀
     * @date 2024/4/30 13:43
     */
    public static boolean allowUpdate(Date currentUpdateTime, Date sqlUpdateTime) {
        if (sqlUpdateTime == null && currentUpdateTime != null) {
            return false;
        } else if (sqlUpdateTime != null && currentUpdateTime == null) {
            return false;
        } else if (sqlUpdateTime == null) {
            return true;
        }
        return sqlUpdateTime.equals(currentUpdateTime);
    }
}
